Bug 831766

Summary: Preupgrade fails on HP DL-380 G4 using BIOS RAID
Product: [Fedora] Fedora Reporter: pscottdv <scott>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description pscottdv 2012-06-13 14:05:22 EDT
Description of problem:
When upgrading using preupgrade from Fedora 15 to Fedora 16, all appears to go well until after rebooting to anaconda.  At that point I am informed that the system cannot find /upgrade/ks.cfg

Switching to console 2, I find that no device exists for my RAID5 drive.

Normally I would expect to see something like:

$ ls -l /dev/disk/by-uuid/
total 0
lrwxrwxrwx 1 root root 10 Jun 13 12:25 2033607e-7b74-4a0d-918c-e7d85d92aa45 -> ../../dm-0
lrwxrwxrwx 1 root root 10 Jun 13 12:25 330a5124-cd2d-48da-bb30-38dcb936e1a9 -> ../../dm-1
lrwxrwxrwx 1 root root 18 Jun 13 12:25 40a2a9e5-eabe-45b3-87e8-a0d9a683e528 -> ../../cciss/c0d0p3
lrwxrwxrwx 1 root root 18 Jun 13 12:25 f2e3437d-cb1d-44f9-8fc2-1e289273b32e -> ../../cciss/c0d0p1

Here my boot partition which contains /upgrade/ks.cfg is /dev/cciss/c0d0p3
dm-0 is my root partition and dm-1 is a swap partition.  Both of these partitions are on the RAID drive partition /dev/cciss/c0d0p2

/dev/cciss/c0d0p1 used to be my boot partition, but it was too small (200MB).  Fortunately, I had saved a few GB on my RAID drive so I was able to make a 1GB boot partition as c0d0p3.


However, after rebooting to anaconda the same command shows:

$ ls -l /dev/disk/by-uuid/
total 0
lrwxrwxrwx 1 root root 10 Jun 13 12:25 2033607e-7b74-4a0d-918c-e7d85d92aa45 -> ../../dm-0

For some reason, it can see my root partition, but not my boot partition, nor my prior boot partition.


Version-Release number of selected component (if applicable):
1.1.10-1.fc15

I turned off yum plugins to see if that would help, but it did not.

How reproducible:
Same problem every time.  

Steps to Reproduce:
1.  On an HP DL-380 G4 with four drives configured as RAID5 in BIOS running Fedora 15, perform the following steps:

sudo yum clean all
sudo yum update
sudo yum clean all
sudo preupgrade

2.  Wait for preupgrade to complete and reboot
3.  After rebooting, preupgrade will fail with the message that the file HD:40a2a9e5-eabe-45b3-87e8-a0d9a683e528:/upgrade/ks.cfg could not be downloaded.
  
Actual results:
After rebooting, preupgrade will fail with the message that the file HD:40a2a9e5-eabe-45b3-87e8-a0d9a683e528:/upgrade/ks.cfg could not be downloaded.

The /dev/cciss device does not exist

Expected results:

Anaconda starts with the proper upgrade to Fedora 16

The /dev/cciss device is created during the boot process

Additional info:
Comment 1 pscottdv 2012-06-15 11:55:27 EDT
Here is the output from lspci under F15:

00:00.0 Host bridge: Intel Corporation E7520 Memory Controller Hub (rev 0c)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 0c)
00:06.0 PCI bridge: Intel Corporation E7520 PCI Express Port C (rev 0c)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
01:04.0 System peripheral: Compaq Computer Corporation Integrated Lights Out Controller (rev 01)
01:04.2 System peripheral: Compaq Computer Corporation Integrated Lights Out  Processor (rev 01)
02:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 09)
02:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 09)
03:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet (rev 10)
03:01.1 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet (rev 10)
04:03.0 RAID bus controller: Compaq Computer Corporation Smart Array 64xx (rev 01)
05:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 09)
05:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 09)
06:01.0 PCI bridge: PLX Technology, Inc. PEX8112 x1 Lane PCI Express-to-PCI Bridge (rev aa)
07:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 8400 GS] (rev a2)
07:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)
Comment 2 pscottdv 2012-06-15 12:10:11 EDT
I rebooted to the Upgrade to Fedora 16 (Verne) selection and attempted to manually connect to my cciss (raid) devices from tty2 by loading the cciss kernel manually (using "modprobe cciss") but, while the module loaded, it did not create the /dev/cciss/c0d0* devices.

Note: the module was not loaded prior to my loading it manually.
Comment 3 Fedora End Of Life 2012-08-06 16:08:13 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-06 16:08:14 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping